mod syn;
mod wald;

pub type Result<T> = core::result::Result<T, Error>;

#[derive(Debug)]
pub struct Error;
impl core::fmt::Display for Error {
	fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
		write!(f, "{self:?}")
	}
}

impl std::error::Error for Error {
}

pub struct Graph;

pub fn build_graph_from_str(s: &str) -> Result<Graph> {
	todo!()
}

pub fn execute_graph(graph: &Graph) -> Result<()> {
	todo!()
}
